import { CSSProperties, HTMLAttributes } from 'react';
export interface PopconfirmProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    placement?: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
    title?: string;
    width?: string | number;
    icon?: React.ReactNode;
    iconColor?: string;
    hideIcon?: boolean;
    confirmButtonText?: string;
    cancelButtonText?: string;
    onConfirm?: (e: React.MouseEvent<{}, MouseEvent>) => void;
    onCancel?: (e: React.MouseEvent<{}, MouseEvent>) => void;
}
export interface PopconfirmPopperProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    placement?: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
    title?: string;
    width?: string | number;
    icon?: React.ReactNode;
    iconColor?: string;
    hideIcon?: boolean;
    confirmButtonText?: string;
    cancelButtonText?: string;
    onConfirm?: (e: React.MouseEvent<{}, MouseEvent>) => void;
    onCancel?: (e: React.MouseEvent<{}, MouseEvent>) => void;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
}
