import { CSSProperties, HTMLAttributes } from 'react';
export interface PopoverProp extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'content'> {
    style?: CSSProperties;
    className?: string | string[];
    placement?: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
    title?: string;
    width?: string | number;
    trigger?: 'click' | 'focus' | 'hover' | 'contextmenu';
    content?: string | React.ReactNode;
    showAfter?: number;
    hideAfter?: number;
}
export interface PopoverPopperProp extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'content'> {
    style?: CSSProperties;
    className?: string | string[];
    placement?: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
    title?: string;
    width?: string | number;
    trigger?: 'click' | 'focus' | 'hover' | 'contextmenu';
    content?: string | React.ReactNode;
    showAfter?: number;
    hideAfter?: number;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
}
