import { CSSProperties, HTMLAttributes } from 'react';
export interface TooltipProp extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'content'> {
    style?: CSSProperties;
    className?: string | string[];
    effect?: 'dark' | 'light' | string;
    placement?: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
    trigger?: 'click' | 'focus' | 'hover' | 'contextmenu';
    content?: string | React.ReactNode;
    showAfter?: number;
    hideAfter?: number;
    disabled?: boolean;
}
export interface TooltipPopperProp extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref' | 'content'> {
    style?: CSSProperties;
    className?: string | string[];
    effect?: 'dark' | 'light' | string;
    placement?: 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
    content?: string | React.ReactNode;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement> | undefined) => Record<string, unknown>;
}
